XvQueryExtension(3)

Name
XvQueryExtension - return version and release of extension

Syntax
#include <X11/extensions/Xvlib.h>

XvQueryExtension(Display *dpy, unsigned int *p_version,
                unsigned int *p_revision,
                unsigned int *p_request_base,
                unsigned int *p_event_base,
                unsigned int *p_error_base);

Arguments

dpy Specifies the connection to the X server.

p_version
    Pointer to where the current version number of the Xv video extension is written.

p_revision
    Pointer to where the revision number of the Xv video extension is written.

p_request_base
    Pointer to where the extension major request number is returned

p_event_base
    Pointer to where the extension event base is returned

p_error_base
    Pointer to where the extension error base is returned

Description

XvQueryExtension(3) returns the version and release numbers for the Xv video extension currently loaded on the system. The extension major request number, event base, and error base are also returned.

Returned Values

[Success]
    Returned if XvQueryExtension(3) completed successfully.

[XvBadExtension]
    Returned if the Xv video extension is not available for the named display.

[XvBadAlloc]
    Returned if XvQueryExtension(3) failed to allocate memory to process the request.